Xlink Aid Plugin
================

This is a plug-in created for CFW PSP users (using the Adhoc to USB plug-in 
or a wireless USB adapter) to play some SSID swapping games like FF Dissidia 
or Metal Gear Solid: Peace Walker.

This allows WiFi device users (untested on USB) to change most multi-ssid games 
into single-ssid ones.

Original post:
https://www.teamxlink.co.uk/forum/viewtopic.php?t=39758

Download the Kai Aid plug-in here:
https://static.socom.cc/plugins

How to set up Xlink Aid Plugin
------------------------------

1. Unpack the archive
2. We need only these files
3. Make a USB connection to your computer
4. Open the seplugins folder and put the files (xlinkaid.prx, xlinkaiduser.prx, autojoin.txt) in the folder
5. Open the game.txt file...
6. and write this: ms0:/seplugins/xlinkaid.prx 1
7. Save the game.txt file
8. Congratulations, you did it! Razz

How to use autojoin
-------------------

A few games like God Eater change the SSID (Wlan name), and we can't play 
online because the joiner's PSP is searching for hoster in local area.
We can fix it with the autojoin.txt file.

First, we need the SSID from the hoster (game launcher).
Ask him, and if he says `PSP_AULJS00237_L_fe7dffaf` then 
you only need the part after `_L_` ie. `fe7dffaf`.

If he doesn't know what you mean, then ask him for his MAC address.
It can be found in PSP Settings -> System Settings -> System Information.

Example:
MAC address is `00:11:22:33:44:55`, just keep the last 8 digits eg. `22334455`

Set up autojoin.txt
-------------------

1. Open the `autojoin.txt` file.
2. Write the SSID digits as explained above (eg. `22334455`).
3. Save it.

UPDATE:
Sometimes, when someone sends an invitation card to a player and the player rejects, 
then you might no longer be able to see this player (not forever, only until you do 
the method again).

Credits
-------

Coldbird for developing and testing the plugin
Zonkaholix for helpinh test the plugin
Ewan08 for informing about the plugin, he didn't assist while creating the plugin).
SOCOM Adhoc Server for re-uploading the plugin
